<template>
    <div class="content__leftAnalitika">
        <div class="create-tarif animated fadeInUp">
            <h2 class="title-create">
                <router-link :to="route('currencies')">
                    <svg>
                        <use xlink:href="/img/sprite.svg#long-arrow-pointing-to-the-right"/>
                    </svg>
                    {{ $t('ui.back') }}
                </router-link>
                {{ $t('currencies.form.update_title') }}
            </h2>
            <currency-form :currency="currency" @submit="save"/>
        </div>
    </div>
</template>

<script>
    import {mapGetters} from 'vuex';
    import route from "../mixins/route";
    import CurrencyForm from "../components/currencies/CurrencyForm";
    import currencies from "../currencies";

    export default {
		name: "CurrencyEdit",
        mixins: [route],
        components: { CurrencyForm },
        props: {
            id: {
                required: true
            },
        },
        data(){
		    return {
		        currency: undefined
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
        },
        methods: {
		    load(){
                this.axios
                    .get(`currencies/${this.id}`)
                    .then(resp => resp.data)
                    .then(currency => this.currency = currency)
                ;
            },
            save(form){
                this.axios
                    .post(`currencies/${this.id}`, form)
                    .then(resp => resp.data)
                    .then(data => {
                        this.$swal(this.$t('ui.success'), data.message, 'success')
                            .then(() => {
                                this.$router.push(this.route('currencies'))
                            });
                        currencies.loadData();
                    })
                ;
            }
        },
        mounted() {
		    this.load();
        }
    }
</script>

<style scoped>

</style>
